%define upstream_name    IO-Socket-IP
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A drop-in replacement for C<IO::Socket::INET> supporting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Socket) >= 1.970.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module provides a protocol-independent way to use IPv4 and IPv6
sockets, as a drop-in replacement for the IO::Socket::INET manpage. Most
constructor arguments and methods are provided in a backward-compatible
way. For a list of known differences, see the 'IO::Socket::INET'
INCOMPATIBILITES section below.

It uses the 'getaddrinfo(3)' function to convert hostnames and service
names or port numbers into sets of possible addresses to connect to or
listen on. This allows it to work for IPv6 where the system supports it,
while still falling back to IPv4-only on systems which don't.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Oct 20 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 536720
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.240.0-1.mga4
+ Revision: 485458
- update to 0.24

* Wed Sep 11 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 477707
- update to 0.23

* Tue Aug 13 2013 shlomif <shlomif> 0.220.0-1.mga4
+ Revision: 466141
- Skip the tests due to a networking SNAFU.

  + sander85 <sander85>
    - update to 0.22

* Wed May 29 2013 shlomif <shlomif> 0.210.0-1.mga4
+ Revision: 432108
- update to 0.21

* Thu Dec 13 2012 shlomif <shlomif> 0.180.0-1.mga3
+ Revision: 330226
- update to 0.18

* Wed Aug 29 2012 kharec <kharec> 0.170.0-1.mga3
+ Revision: 285325
- update to 0.17

* Tue Jun 26 2012 kharec <kharec> 0.160.0-1.mga3
+ Revision: 263973
- update to 0.16

* Thu Jun 21 2012 kharec <kharec> 0.150.0-1.mga3
+ Revision: 262463
- update to 0.15

* Mon Jun 18 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 261757
- update to 0.14

* Sun Jun 17 2012 kharec <kharec> 0.130.0-1.mga3
+ Revision: 261253
- update to 0.13

* Sat Jun 16 2012 kharec <kharec> 0.120.0-1.mga3
+ Revision: 260970
- update to 0.12

* Mon Jun 04 2012 kharec <kharec> 0.110.0-1.mga3
+ Revision: 253981
- update to 0.11

* Wed Jan 25 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 200892
- update to 0.08

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163695
- imported package perl-IO-Socket-IP


* Sat Nov 05 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
